For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETList Accounts
      • POSTCreate Account
      • GETGet Account
      • DELClose Account
      • PATCHUpdate Account
      • GETGet Account Allocation
LogoLogo
Contact SupportGet Started
API ReferenceAccounts

List Accounts

GET
/digital-banking/v1/accounts
GET
/digital-banking/v1/accounts
$curl https://api.modernfi.com/digital-banking/v1/accounts \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "string",
4 "institution_id": "string",
5 "signer_primary": "string",
6 "account_title": "string",
7 "interest_rate": "string",
8 "interest_rate_tiers": [
9 {
10 "min_balance": "string",
11 "max_balance": "string",
12 "rate": "string",
13 "floating_spread": "string"
14 }
15 ],
16 "insurance_limit": "string",
17 "account_type": "MMDA",
18 "created_at": "string",
19 "is_joint_account": true,
20 "total_balance": "string",
21 "pending_balance": "string",
22 "is_reciprocation_prioritized": true,
23 "is_receiving_printed_statements": true,
24 "closed_at": "string",
25 "signer_secondary": "string",
26 "beneficiary_name": "string",
27 "beneficiary_tin": "string",
28 "institution_sweep_account_id": "string",
29 "institution_return_account_id": "string",
30 "institution_branch_id": "string",
31 "depositors": [
32 {
33 "id": "string",
34 "institution_id": "string",
35 "institution_depositor_id": "string",
36 "first_name": "string",
37 "last_name": "string",
38 "entity_name": "string",
39 "is_organization": true,
40 "phone_numbers": [
41 {
42 "number": "string",
43 "is_primary": true
44 }
45 ],
46 "emails": [
47 {
48 "email_address": "string",
49 "is_primary": true
50 }
51 ],
52 "addresses": [
53 {
54 "street": "string",
55 "city": "string",
56 "state": "string",
57 "zip": "string",
58 "country_code": "string",
59 "is_primary": true
60 }
61 ],
62 "depositor_type": "CONSUMER",
63 "ownership_category": "JOINT",
64 "account_officer": "string",
65 "notes": "string",
66 "tin": "string"
67 }
68 ],
69 "managed_sweep_target_balance": "string",
70 "shadow_account": {
71 "id": "string",
72 "account_number": "string",
73 "account_type": "MMDA",
74 "closed_at": "string"
75 },
76 "notes": "string",
77 "pricing_group_id": "string",
78 "institution_account_id": "string",
79 "institution_alternative_id": "string"
80 }
81]
Was this page helpful?
Previous

Create Account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
idstring
institution_idstring
signer_primarystring or null
account_titlestring
interest_ratestring
interest_rate_tierslist of objects
insurance_limitstring
account_typeenum
Allowed values:
created_atstring
is_joint_accountboolean
total_balancestring
pending_balancestring
is_reciprocation_prioritizedboolean
is_receiving_printed_statementsboolean
closed_atstring or null
signer_secondarystring or null
beneficiary_namestring or null
beneficiary_tinstring or null
institution_sweep_account_idstring or null
institution_return_account_idstring or null
institution_branch_idstring or null
depositorslist of objects or null
managed_sweep_target_balancestring or null
shadow_accountobject or null
notesstring or null
pricing_group_idstring or null
institution_account_idstring or nullDeprecated
institution_alternative_idstring or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error